## ros-noetic-xmlrpcpp 1.16.0

=== debian/changelog ===
ros-noetic-xmlrpcpp (1.16.0-1buster) buster; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.15-1buster) buster; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Contributors: Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.14-1buster) buster; urgency=high

  * Keep the persistent connection only if rosmaster supports http1.1 (#2208 <https://github.com/ros/ros_comm/issues/2208>)
  * Contributors: Chen Lihui

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.13-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.12-1buster) buster; urgency=high

  * Fix XMLRPC endless loop (#2185 <https://github.com/ros/ros_comm/issues/2185>)
  * Fix build when gtest is not available (#2177 <https://github.com/ros/ros_comm/issues/2177>)
  * Contributors: Chris Lalancette, Wolfgang Merkt

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.11-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.10-1buster) buster; urgency=high

  * Portable fix to recent Windows build breaks (#2110 <https://github.com/ros/ros_comm/issues/2110>)
  * Contributors: Sean Yen

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.9-1buster) buster; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix to address CVE-2020-16124 (#2065 <https://github.com/ros/ros_comm/issues/2065>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Fix XmlRpcValue::_doubleFormat being unused (#2003 <https://github.com/ros/ros_comm/issues/2003>)
  * Contributors: Shane Loretz, Sid Faber, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.8-1buster) buster; urgency=high

  * add const versions of XmlRpcValue converting operators (#1978 <https://github.com/ros/ros_comm/issues/1978>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jul 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.7-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.5-1buster) buster; urgency=high

  * check if enough FDs are free, instead counting the total free FDs (#1929 <https://github.com/ros/ros_comm/issues/1929>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 May 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.4-1buster) buster; urgency=high

  * restrict boost dependencies to components used (#1871 <https://github.com/ros/ros_comm/issues/1871>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 05:00:00 -0000

ros-noetic-xmlrpcpp (1.15.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2020 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.1-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2020 06:00:00 -0000

ros-noetic-xmlrpcpp (1.15.0-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Feb 2020 06:00:00 -0000

ros-noetic-xmlrpcpp (1.14.4-1buster) buster; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * [Windows] workaround WSAPoll doesn't report failed connections (#1816 <https://github.com/ros/ros_comm/issues/1816>)
  * fix base64 decode error on ARM platforms (#1853 <https://github.com/ros/ros_comm/issues/1853>)
  * use c++11 std::snprintf (#1820 <https://github.com/ros/ros_comm/issues/1820>)
  * fix dead loop if accept connection error in XmlRpcServer (#1791 <https://github.com/ros/ros_comm/issues/1791>)
  * fix test build errors (#1723 <https://github.com/ros/ros_comm/issues/1723>)
  * fix base64 encode error (#1769 <https://github.com/ros/ros_comm/issues/1769>)
  * XmlRpcValue added bool assignment operator (#1709 <https://github.com/ros/ros_comm/issues/1709>)
  * add const indexer for xmlrpc (#1759 <https://github.com/ros/ros_comm/issues/1759>)
  * xmlrpcpp: fixed invalid zero index (#1631 <https://github.com/ros/ros_comm/issues/1631>)
  * avoid calling memcpy on NULL pointer with size 0 (#1546 <https://github.com/ros/ros_comm/issues/1546>)
  * revert "Revert "move the winsock2.h into cpp."" (#1588 <https://github.com/ros/ros_comm/issues/1588>)
  * visibility macros update (#1591 <https://github.com/ros/ros_comm/issues/1591>)
  * remove explicit -std=c++11, default to 14
  * fix test code build issues on Windows (#1479 <https://github.com/ros/ros_comm/issues/1479>)
  * fix issues when built or run on Windows (#1466 <https://github.com/ros/ros_comm/issues/1466>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 06:00:00 -0000

ros-noetic-xmlrpcpp (1.14.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 05:00:00 -0000

ros-noetic-xmlrpcpp (1.14.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 05:00:00 -0000

ros-noetic-xmlrpcpp (1.14.1-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 05:00:00 -0000

ros-noetic-xmlrpcpp (1.14.0-1buster) buster; urgency=high

  * fixes for OSX (#1402 <https://github.com/ros/ros_comm/issues/1402>)

