=== debian/control ===
Source: ros-noetic-xmlrpcpp
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-thread-dev <!nocheck>, ros-noetic-catkin, ros-noetic-cpp-common, ros-noetic-rostime (>= 0.6.9)
Homepage: http://xmlrpcpp.sourceforge.net
Standards-Version: 3.9.2

Package: ros-noetic-xmlrpcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cpp-common, ros-noetic-rostime (>= 0.6.9)
Description: XmlRpc++ is a C++ implementation of the XML-RPC protocol.
 This version is heavily modified from the package available on SourceForge in order to support roscpp's threading model. As such, we are maintaining our own fork.
